Description

During a big os upgrade of a Metacat member node, we always face the issue that it will have a long down time. In order to minimize
the down time, we can create a new node which has been installed the new version of the software, then migrate the content from
the old node to the new node. In order to keep the same content, it will be great if the old node can be set to the read-only mode.

Here is my plan:

In the metacat.properties file, a new property database.readyOnly will be added. It it is the true, the following methods can be
excecuted:

1. Metacat API:

- handleMultipartForm

- insert

- update

- delete

- setaccess

- buildindex

- reindex

- reindexall

- scheduleWorkflow

- unscheduleWorkflow

- rescheduleWorkflow

- deleteScheduledWorkflow
- handlerPlugin ( we are not sure if they can update the content)

2. Metacat Replication API

- forcereplicatedatafile

- forcereplicate

- forcereplcatesystemmetadata
- forcereplicatedelete

- forcereplicatedeleteall

- update

3. Member node api (v1 and v2)

- MNRead.systemMetadataChanged()
- MNStorage.create()

- MNStorage.update()

- MNStorage.delete()

- MNStorage.archive()

- MNStorage.updateSystemMetadata()
- MNReplication.replicate()

History

#1 - 12/17/2015 04:43 PM - Jing Tao

Those methods can NOT be executed :)

#2 - 12/17/2015 04:43 PM - Jing Tao

- Assignee set to Jing Tao
#3 - 01/05/2016 04:40 PM - Jing Tao
- Tracker changed from Bug to Feature

- Status changed from New to Closed

The above methods were added a checker for the read-only mode.
